package com.crm.custom.service;

import com.crm.rely.backend.core.dto.base.ResultWithPagerDto;
import com.crm.rely.backend.core.entity.base.SingleLongEntity;
import com.crm.rely.backend.core.exception.ServiceException;
import com.crm.rely.backend.model.dto.golden.goods.GoldenGoodsVideoListDto;
import com.crm.rely.backend.model.entity.custom.info.CustomInfoEntity;
import com.crm.rely.backend.model.entity.golden.goods.GoldenGoodsVideoAddEntity;
import com.crm.rely.backend.model.entity.golden.goods.GoldenGoodsVideoDeleteEntitys;
import com.crm.rely.backend.model.entity.golden.goods.GoldenGoodsVideoSearchEntity;
import com.crm.rely.backend.model.entity.golden.goods.GoldenGoodsVideoUpdateEntity;
import org.springframework.web.multipart.MultipartFile;

public interface GoldenGoodsVideoService {

    ResultWithPagerDto<GoldenGoodsVideoListDto> customPageList(GoldenGoodsVideoSearchEntity entity, CustomInfoEntity infoEntity);

    void add(GoldenGoodsVideoAddEntity entity) throws ServiceException;

    void delete(GoldenGoodsVideoDeleteEntitys entitys) throws ServiceException;

    void update(GoldenGoodsVideoUpdateEntity entity) throws ServiceException;

    ResultWithPagerDto<GoldenGoodsVideoListDto> searchPageList(GoldenGoodsVideoSearchEntity entity) throws ServiceException;

    GoldenGoodsVideoListDto searchSingle(SingleLongEntity entity) throws ServiceException;

    void validatedVideo(MultipartFile file) throws ServiceException;

    String uploadFile(Long goodsId, MultipartFile file) throws Exception;
}
